---
title: "Add a new Transaction | Nuvio Docs"
description: "Adds a new transaction into an existing account."
url: https://nuvio.io/docs/api/create-transaction
---

# Add a new Transaction

POST `/v1/transactions`

Needs an API key with the [`write`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Parameters

-   `accountId` string Required

    32-character unique ID of the account that the transaction belongs.

-   `description` string Required

    Description of the transaction

## More parameters

-   `transactionTimestamp` integer

    Epoch timestamp for the transaction date and time. If both of the fields are provided, `transactionTimestamp` will be used.

-   `transactionDate` string

    Datetime with timezone for the transaction date and time.

-   `transactionType` string

    Type of the transaction. If it is an incoming money, use `Money In`; if it is an outgoing money, use `Money Out`

-   `mathcingEntityId` string

    32-character unique ID of the customer or supplier of the transaction's sender or receiver.

-   `mathcingEntityCode` string

    User-generated custom customer or supplier code of the transaction's sender or receiver.

-   `amount` number

    Amount of the transaction. It should be a positive decimal number. `eg. 1059.34`

## Returns

The created transaction.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

POST /v1/transactions

```
curl -X POST https://api.nuvio.io/v1/transactions \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "accountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "description": "Office supplies"
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "accountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "accountName": "Acme Supplies",
    "description": "Office supplies",
    "transactionTimestamp": 1,
    "transactionDate": "2026-11-05",
    "amount": 100,
    "currency": "USD",
    "transactionType": "Money In",
    "matchedEntity": {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "code": "ACME-01"
    },
    "matchedIncomes": [
      {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "invoiceId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "matchedAmount": 100
      }
    ],
    "matchedExpenses": [
      {
        "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "expenseId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "matchedAmount": 100
      }
    ]
  }
}
```
